import { IgcSpreadsheetModule } from "igniteui-webcomponents-spreadsheet/ES5/igc-spreadsheet-module";
import { SpreadsheetChartAdapterLocaleEn } from './SpreadsheetChartAdapterLocaleEn';
import { Localization } from "igniteui-webcomponents-core/ES5/Localization";
import { IgcDataChartCoreModule } from "igniteui-webcomponents-charts/ES5/igc-data-chart-core-module";
import { IgcPieChartModule } from "igniteui-webcomponents-charts/ES5/igc-pie-chart-module";
import { IgcLineSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-line-series-module";
import { IgcAreaSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-area-series-module";
import { IgcColumnSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-column-series-module";
import { IgcBarSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-bar-series-module";
import { IgcSplineSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-spline-series-module";
import { IgcSplineAreaSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-spline-area-series-module";
import { IgcStepLineSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-step-line-series-module";
import { IgcStepAreaSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-step-area-series-module";
import { IgcPointSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-point-series-module";
import { IgcWaterfallSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-waterfall-series-module";
import { IgcCrosshairLayerModule } from "igniteui-webcomponents-charts/ES5/igc-crosshair-layer-module";
import { IgcCalloutLayerModule } from "igniteui-webcomponents-charts/ES5/igc-callout-layer-module";
import { IgcItemToolTipLayerModule } from "igniteui-webcomponents-charts/ES5/igc-item-tool-tip-layer-module";
import { IgcCategoryToolTipLayerModule } from "igniteui-webcomponents-charts/ES5/igc-category-tool-tip-layer-module";
import { IgcCategoryHighlightLayerModule } from "igniteui-webcomponents-charts/ES5/igc-category-highlight-layer-module";
import { IgcCategoryItemHighlightLayerModule } from "igniteui-webcomponents-charts/ES5/igc-category-item-highlight-layer-module";
import { IgcFinalValueLayerModule } from "igniteui-webcomponents-charts/ES5/igc-final-value-layer-module";
import { IgcNumberAbbreviatorModule } from "igniteui-webcomponents-charts/ES5/igc-number-abbreviator-module";
import { IgcDataChartInteractivityModule } from "igniteui-webcomponents-charts/ES5/igc-data-chart-interactivity-module";
import { IgcDataChartCategoryTrendLineModule } from "igniteui-webcomponents-charts/ES5/igc-data-chart-category-trend-line-module";
import { IgcDataChartAnnotationModule } from "igniteui-webcomponents-charts/ES5/igc-data-chart-annotation-module";
import { IgcDoughnutChartModule } from "igniteui-webcomponents-charts/ES5/igc-doughnut-chart-module";
import { IgcCategoryXAxisModule } from "igniteui-webcomponents-charts/ES5/igc-category-x-axis-module";
import { IgcNumericYAxisModule } from "igniteui-webcomponents-charts/ES5/igc-numeric-y-axis-module";
import { IgcCategoryDateTimeXAxisModule } from "igniteui-webcomponents-charts/ES5/igc-category-date-time-x-axis-module";
import { IgcTimeXAxisModule } from "igniteui-webcomponents-charts/ES5/igc-time-x-axis-module";
import { IgcOrdinalTimeXAxisModule } from "igniteui-webcomponents-charts/ES5/igc-ordinal-time-x-axis-module";
import { IgcNumericRadiusAxisModule } from "igniteui-webcomponents-charts/ES5/igc-numeric-radius-axis-module";
import { IgcNumericAngleAxisModule } from "igniteui-webcomponents-charts/ES5/igc-numeric-angle-axis-module";
import { IgcCategoryAngleAxisModule } from "igniteui-webcomponents-charts/ES5/igc-category-angle-axis-module";
import { IgcCategoryYAxisModule } from "igniteui-webcomponents-charts/ES5/igc-category-y-axis-module";
import { IgcNumericXAxisModule } from "igniteui-webcomponents-charts/ES5/igc-numeric-x-axis-module";
import { IgcRadialColumnSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-radial-column-series-module";
import { IgcRadialPieSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-radial-pie-series-module";
import { IgcRadialLineSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-radial-line-series-module";
import { IgcRadialAreaSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-radial-area-series-module";
import { IgcPolarLineSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-polar-line-series-module";
import { IgcPolarSplineSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-polar-spline-series-module";
import { IgcPolarAreaSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-polar-area-series-module";
import { IgcPolarSplineAreaSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-polar-spline-area-series-module";
import { IgcPolarScatterSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-polar-scatter-series-module";
import { IgcRangeAreaSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-range-area-series-module";
import { IgcRangeColumnSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-range-column-series-module";
import { IgcPercentChangeYAxisModule } from "igniteui-webcomponents-charts/ES5/igc-percent-change-y-axis-module";
import { IgcFinancialPriceSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-financial-price-series-module";
import { IgcIndicatorsModule } from "igniteui-webcomponents-charts/ES5/igc-indicators-module";
import { IgcOverlaysModule } from "igniteui-webcomponents-charts/ES5/igc-overlays-module";
import { IgcZoomSliderModule } from "igniteui-webcomponents-charts/ES5/igc-zoom-slider-module";
import { IgcFinancialLegendModule } from "igniteui-webcomponents-charts/ES5/igc-financial-legend-module";
import { IgcLegendModule } from "igniteui-webcomponents-charts/ES5/igc-legend-module";
import { IgcItemLegendModule } from "igniteui-webcomponents-charts/ES5/igc-item-legend-module";
import { IgcScatterSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-scatter-series-module";
import { IgcScatterLineSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-scatter-line-series-module";
import { IgcScatterSplineSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-scatter-spline-series-module";
import { IgcBubbleSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-bubble-series-module";
import { IgcRingSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-ring-series-module";
import { IgcStackedAreaSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-stacked-area-series-module";
import { IgcStackedBarSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-stacked-bar-series-module";
import { IgcStackedColumnSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-stacked-column-series-module";
import { IgcStackedLineSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-stacked-line-series-module";
import { IgcStacked100AreaSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-stacked-100-area-series-module";
import { IgcStacked100BarSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-stacked-100-bar-series-module";
import { IgcStacked100ColumnSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-stacked-100-column-series-module";
import { IgcStacked100LineSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-stacked-100-line-series-module";
import { IgcStackedFragmentSeriesModule } from "igniteui-webcomponents-charts/ES5/igc-stacked-fragment-series-module";
import { IgcAreaFragmentModule } from "igniteui-webcomponents-charts/ES5/igc-area-fragment-module";
import { IgcColumnFragmentModule } from "igniteui-webcomponents-charts/ES5/igc-column-fragment-module";
import { IgcLineFragmentModule } from "igniteui-webcomponents-charts/ES5/igc-line-fragment-module";
import { IgcSplineFragmentModule } from "igniteui-webcomponents-charts/ES5/igc-spline-fragment-module";
import { IgcSplineAreaFragmentModule } from "igniteui-webcomponents-charts/ES5/igc-spline-area-fragment-module";
import { IgcBarFragmentModule } from "igniteui-webcomponents-charts/ES5/igc-bar-fragment-module";
var IgcSpreadsheetChartAdapterModule = /** @class */ (function () {
    function IgcSpreadsheetChartAdapterModule() {
    }
    IgcSpreadsheetChartAdapterModule.register = function () {
        IgcSpreadsheetModule.register();
        IgcDataChartCoreModule.register();
        IgcPieChartModule.register();
        IgcLineSeriesModule.register();
        IgcAreaSeriesModule.register();
        IgcColumnSeriesModule.register();
        IgcBarSeriesModule.register();
        IgcSplineSeriesModule.register();
        IgcSplineAreaSeriesModule.register();
        IgcStepLineSeriesModule.register();
        IgcStepAreaSeriesModule.register();
        IgcPointSeriesModule.register();
        IgcWaterfallSeriesModule.register();
        IgcCrosshairLayerModule.register();
        IgcCalloutLayerModule.register();
        IgcItemToolTipLayerModule.register();
        IgcCategoryToolTipLayerModule.register();
        IgcCategoryHighlightLayerModule.register();
        IgcCategoryItemHighlightLayerModule.register();
        IgcFinalValueLayerModule.register();
        IgcNumberAbbreviatorModule.register();
        IgcDataChartInteractivityModule.register();
        IgcDataChartCategoryTrendLineModule.register();
        IgcDataChartAnnotationModule.register();
        IgcDoughnutChartModule.register();
        IgcCategoryXAxisModule.register();
        IgcNumericYAxisModule.register();
        IgcCategoryDateTimeXAxisModule.register();
        IgcTimeXAxisModule.register();
        IgcOrdinalTimeXAxisModule.register();
        IgcNumericRadiusAxisModule.register();
        IgcNumericAngleAxisModule.register();
        IgcCategoryAngleAxisModule.register();
        IgcCategoryYAxisModule.register();
        IgcNumericXAxisModule.register();
        IgcRadialColumnSeriesModule.register();
        IgcRadialPieSeriesModule.register();
        IgcRadialLineSeriesModule.register();
        IgcRadialAreaSeriesModule.register();
        IgcPolarLineSeriesModule.register();
        IgcPolarSplineSeriesModule.register();
        IgcPolarAreaSeriesModule.register();
        IgcPolarSplineAreaSeriesModule.register();
        IgcPolarScatterSeriesModule.register();
        IgcRangeAreaSeriesModule.register();
        IgcRangeColumnSeriesModule.register();
        IgcPercentChangeYAxisModule.register();
        IgcFinancialPriceSeriesModule.register();
        IgcIndicatorsModule.register();
        IgcOverlaysModule.register();
        IgcZoomSliderModule.register();
        IgcFinancialLegendModule.register();
        IgcLegendModule.register();
        IgcItemLegendModule.register();
        IgcScatterSeriesModule.register();
        IgcScatterLineSeriesModule.register();
        IgcScatterSplineSeriesModule.register();
        IgcBubbleSeriesModule.register();
        IgcStackedAreaSeriesModule.register();
        IgcStackedBarSeriesModule.register();
        IgcStackedColumnSeriesModule.register();
        IgcStackedLineSeriesModule.register();
        IgcStacked100AreaSeriesModule.register();
        IgcStacked100BarSeriesModule.register();
        IgcStacked100ColumnSeriesModule.register();
        IgcStacked100LineSeriesModule.register();
        IgcStackedFragmentSeriesModule.register();
        IgcAreaFragmentModule.register();
        IgcRingSeriesModule.register();
        IgcColumnFragmentModule.register();
        IgcLineFragmentModule.register();
        IgcSplineFragmentModule.register();
        IgcSplineAreaFragmentModule.register();
        IgcBarFragmentModule.register();
        Localization.register("spreadsheetchartadapter", new SpreadsheetChartAdapterLocaleEn());
    };
    return IgcSpreadsheetChartAdapterModule;
}());
export { IgcSpreadsheetChartAdapterModule };
